use crate::{errors::RunError, stack::StackVec};

pub fn rjmp(memory: &mut StackVec, labels: &mut [Option<i16>; 256], program_counter: &mut u16) {
    let start = memory.pop() as usize;
    let end   = memory.pop() as usize;
    let rand  = fastrand::usize(start..end + 1);

    *program_counter = (labels[rand].expect(&format!("{}", RunError::UnknownLabel(rand as u16))) - 1) as u16;
}